package cn.estsh.i3plus.ext.mes.pcn.pojo.context;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * 生产过程上下文对象-开模记录明细信息
 */
@Data
public class MesScanMonitorDetailContext implements Serializable {

    private static final long serialVersionUID = -7678933218854960945L;

    @ApiParam("扫描/读取信息")
    private String scanInfo;

    @ApiParam("日志类型")
    private Integer logType;

    @ApiParam("日志内容")
    private String message;

    @ApiParam("信息类型")
    private String messageType;

}
